%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion	0.4
%define release		1mdk

%define realname	PAM auth
%define modname		pam_auth
%define dirname		%{modname}
%define soname		%{modname}.so
%define inifile		19_%{modname}.ini
%define mod_src		%{modname}.c
%define mod_lib		"-L/lib/security -L/lib -I%{_includedir}/security -lpam -ldl"
%define mod_def		"-DCOMPILE_DL_PAM_AUTH -DHAVE_PAM_AUTH"

Summary:		The %{realname} module for PHP
Name:			php-%{modname}
Version:		%{phpversion}_%{rversion}
Release:		%{release}
Group:			System/Servers
URL:			http://www.math.ohio-state.edu/~ccunning/pam_auth.html
License:		PHP License
Source0:		%{modname}-%{rversion}-4.3.tar.bz2
#Requires:		libphp_common%{libversion}
Requires:		php%{libversion}
BuildRequires:  	php%{libversion}-devel
BuildRequires:		pam-devel
BuildRequires:		chrpath
BuildRoot:		%{_tmppath}/%{name}-root
Provides: 		ADVXpackage

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

This is a PHP4 extension that will allow you to simply and easily
use php to authenticate via PAM. 

%prep
%setup -q -n pam_auth

%build

%{phpsource}/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > %{buildroot}%{_sysconfdir}/pam.d/php <<EOF
auth            sufficient      /lib/security/pam_pwdb.so shadow nodelay
account         sufficient      /lib/security/pam_pwdb.so
EOF

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGELOG FAQ INSTALL README README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/pam.d/php
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php/%{inifile}

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.4-1mdk
- built for php 4.3.4
- use chrpath

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.4-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.4-1mdk
- 0.4

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.3.1-1mdk
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_0.3.1-1mdk
- fix the php versioning

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-7mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-6mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-5mdk
- built against php-4.3.0
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-4mdk
- try to fix the hardcoded rpath this time... (WTF?)

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-3mdk
- really fix the hardcoded rpath this time...

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-2mdk
- no hardcoded rpath
- misc spec file fixes

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-1mdk
- initial cooker contrib
